org.bdgenomics.adam.models

# ReferenceRegionWithOrientation

#### case class ReferenceRegionWithOrientation(region: ReferenceRegion, negativeStrand: Boolean) extends Ordered[ReferenceRegionWithOrientation] with Product with Serializable

Represents a contiguous region of the reference genome with strand information.

region

  The genomic locus as a ReferenceRegion

negativeStrand

  Boolean flag as to whether the region is on the forward or reverse strand of the reference region.

Linear Supertypes
Serializable, Serializable, Product, Equals, Ordered[ReferenceRegionWithOrientation], Comparable[ReferenceRegionWithOrientation], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferenceRegionWithOrientation
2. Serializable
3. Serializable
4. Product
5. Equals
6. Ordered
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferenceRegionWithOrientation(region: ReferenceRegion, negativeStrand: Boolean)

   region

     The genomic locus as a ReferenceRegion

   negativeStrand

     Boolean flag as to whether the region is on the forward or reverse strand of the reference region.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def <(that: ReferenceRegionWithOrientation): Boolean

   Definition Classes
     Ordered

5. #### def <=(that: ReferenceRegionWithOrientation): Boolean

   Definition Classes
     Ordered

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def >(that: ReferenceRegionWithOrientation): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: ReferenceRegionWithOrientation): Boolean

   Definition Classes
     Ordered

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def compare(that: ReferenceRegionWithOrientation): Int

    Definition Classes
      ReferenceRegionWithOrientation → Ordered

13. #### def compareTo(that: ReferenceRegionWithOrientation): Int

    Definition Classes
      Ordered → Comparable

14. #### def contains(other: ReferenceRegionWithOrientation): Boolean

15. #### def contains(other: ReferencePositionWithOrientation): Boolean

16. #### def end: Long

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### val negativeStrand: Boolean

    Boolean flag as to whether the region is on the forward or reverse strand of the reference region.

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def overlaps(other: ReferenceRegionWithOrientation): Boolean

26. #### def referenceName: String

27. #### val region: ReferenceRegion

    The genomic locus as a ReferenceRegion

28. #### def start: Long

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toReferenceRegion: ReferenceRegion

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def width: Long

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Ordered[ReferenceRegionWithOrientation]

### Inherited from Comparable[ReferenceRegionWithOrientation]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped